@echo off

rem ver 1.0

setlocal enabledelayedexpansion

for /f "tokens=1-9* delims=\ " %%A in ('reg query HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Power\PowerSettings /s /f attributes /e') do (

  if /i "%%A" == "HKEY_LOCAL_MACHINE" (

    set Ident=

    if not "%%G" == "" (

      set Err=

      set Group=%%G
      set Setting=%%H

      if "!Group:~35,1!" == "" set Err=group
      if not "!Group:~36,1!" == "" set Err=group

      if not "!Setting!" == "" (

        if "!Setting:~35,1!" == "" set Err=setting
        if not "!Setting:~36,1!" == "" set Err=setting

        Set Ident=!Group!:!Setting!

      ) else (

        Set Ident=!Group!

      )

      if not "!Err!" == "" (

        echo ***** Error in !Err! GUID: !Ident"
        exit /b 1

      )

    )

  ) else if "%%A" == "Attributes" (

    if "!Ident!" == "" (

      echo ***** No group/setting GUIDs before Attributes value
      exit /b 1

    )

    set /a Attr = %%C
    set /a Hidden = !Attr! ^& 1

    if !Hidden! equ 1 (

      echo Unhiding !Ident!

      powercfg -attributes !Ident::= ! -attrib_hide

      if errorlevel 1 pause

    )

  )

)
